import { ICellEditorComp, ICellEditorParams } from '@ag-grid-community/core';
import { FoundationElement } from '@microsoft/fast-foundation';
/**
 * Parameters used to configure {@link SelectEditor}
 * @public
 */
export interface DateEditorParams extends ICellEditorParams {
    withTime: boolean;
}
/**
 * The AG Date Editor element.
 * @public
 * @tagname %%prefix%%-date-editor
 */
export declare class DateEditor extends FoundationElement implements ICellEditorComp {
    value: number;
    dateFormat: string;
    inputType: 'datetime-local' | 'date';
    init(params: DateEditorParams): void;
    getGui(): HTMLElement;
    refresh(params: DateEditorParams): boolean;
    getValue(): number;
    isPopup(): boolean;
    changeHandler(event: any): void;
}
/**
 * The AG Select Renderer Styles.
 * @public
 */
export declare const agDateEditorStyles: import("@microsoft/fast-element").ElementStyles;
/**
 * Get a Design System prefixed Select template.
 * @param prefix - The design system prefix to use. Defaults to 'foundation'.
 * @returns A Select component template prefixed with the correct design system.
 * @public
 */
export declare const getDateEditorTemplate: (prefix?: string) => import("@microsoft/fast-element").ViewTemplate<DateEditor, any>;
/**
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-select-editor\>
 */
export declare const foundationDateEditor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<DateEditor, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<DateEditor, any>;
}, typeof DateEditor>;
//# sourceMappingURL=date.editor.d.ts.map