/**
 * Returns a filter type based on the Grid Pro field/column type.
 * @param type - The type of the field/column
 * @returns The ag-grid filter type
 * @remarks Currently only returns agTextColumnFilter
 * @alpha
 */
export declare function getFilterByFieldType(type: string): string;
/**
 * Return a column type base on each field's metadata from the selected resource.
 * @param metadataType - The type of the field/column
 * @returns the column type
 * @remarks Currently only handles numeric columns
 * @alpha
 */
export declare function getColumnType(metadataType: string): string;
/**
 * Returns the filter params based on the Grid Pro field/column type.
 * @param type - The type of the field/column
 * @returns the filter params for the specified field type
 * @remarks Currently only returns a default filter params object, for all field types
 * @alpha
 */
export declare function getFilterParamsByFieldType(type: string): any;
//# sourceMappingURL=server-side.grid-definitions.d.ts.map