import type { Container } from '@microsoft/fast-foundation';
/**
 * The Grid Pro Components.
 * @remarks Contains all available components, from Grid Pro itself to the cell renderers.
 * @public
 */
export declare const foundationGridComponents: {
    foundationGridProActionRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").ActionRenderer, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").ActionRenderer, any>;
    }, typeof import("./cell-renderers").ActionRenderer>;
    foundationGridProActionsMenuRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }, typeof import("./cell-renderers").ActionsMenuRenderer>;
    foundationAgBooleanRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").BooleanRenderer, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").BooleanRenderer, any>;
    }, typeof import("./cell-renderers").BooleanRenderer>;
    foundationAgTextRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").AgTextFieldRenderer, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").AgTextFieldRenderer, any>;
    }, typeof import("./cell-renderers").AgTextRenderer>;
    foundationAgTextFieldRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").AgTextFieldRenderer, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").AgTextFieldRenderer, any>;
    }, typeof import("./cell-renderers").AgTextFieldRenderer>;
    foundationAgSelectRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }, typeof import("./cell-renderers").SelectRenderer>;
    foundationGridPro: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        shadowOptions: any;
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        shadowOptions: any;
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }, typeof import("./grid-pro").GridPro>;
    foundationSelectEditor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").SelectEditor, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").SelectEditor, any>;
    }, typeof import("./cell-editors").SelectEditor>;
    foundationNumberEditor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").NumberEditor, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").NumberEditor, any>;
    }, typeof import("./cell-editors").NumberEditor>;
    foundationDateEditor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").DateEditor, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").DateEditor, any>;
    }, typeof import("./cell-editors").DateEditor>;
    foundationMultiselectEditor: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").MultiselectEditor, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-editors").MultiselectEditor, any>;
    }, typeof import("./cell-editors").MultiselectEditor>;
    register(container?: Container, ...rest: any[]): void;
};
//# sourceMappingURL=grid-components.d.ts.map